- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_matcher_t

# mongoc_matcher_destroy()

## Synopsis

    void
    mongoc_matcher_destroy (mongoc_matcher_t *matcher);

Release all resources associated with `matcher` including freeing the structure.

## Deprecated

Warning

`mongoc_matcher_t` is deprecated and will be removed in version 2.0.

## Parameters

- `matcher`: A mongoc_matcher_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.